<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>maven-parent</artifactId>
		<groupId>org.gcube.tools</groupId>
		<version>1.1.0</version>
		<relativePath />
	</parent>
	<groupId>org.gcube.dataanalysis</groupId>
	<artifactId>dataminer-algorithms-importer</artifactId>
	<version>1.2.2</version>
	<name>dataminer-algorithms-importer</name>
	<description>Algorithms for the dataminer service</description>
	<scm>
		<connection>scm:git:https://code-repo.d4science.org/gCubeSystem/dataminer-algorithm-importer.git</connection>
		<developerConnection>scm:git:https://code-repo.d4science.org/gCubeSystem/dataminer-algorithm-importer.git</developerConnection>
		<url>https://code-repo.d4science.org/gCubeSystem/dataminer-algorithm-importer</url>
	</scm>
	<developers>
		<developer>
			<name>Gianpaolo Coro</name>
			<email>gianpaolo.coro@isti.cnr.it</email>
			<organization>CNR Pisa, Istituto di Scienza e Tecnologie dell'Informazione "A. Faedo"</organization>
			<roles>
				<role>architect</role>
				<role>developer</role>
			</roles>
		</developer>
	</developers>
	<properties>
		<webappDirectory>${project.build.directory}/${project.build.finalName}</webappDirectory>
		<distroDirectory>distro</distroDirectory>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.gcube.dataanalysis</groupId>
			<artifactId>dataminer</artifactId>
			<version>[1.7.0-SNAPSHOT,2.0.0-SNAPSHOT)</version>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<artifactId>gis-interface</artifactId>
					<groupId>org.gcube.spatial.data</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.gcube.resources</groupId>
			<artifactId>registry-publisher</artifactId>
			<version>[1.1.0-SNAPSHOT,2.0.0-SNAPSHOT)</version>
		</dependency>
		<dependency>
			<groupId>org.gcube.resources</groupId>
			<artifactId>common-gcore-resources</artifactId>
			<version>[1.1.0-SNAPSHOT,2.0.0-SNAPSHOT)</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.12</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>


			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<configuration>
					<skipTests>true</skipTests>
				</configuration>
			</plugin>
			
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<descriptors>
						<descriptor>${distroDirectory}/assembly.xml</descriptor>
					</descriptors>
					 <finalName>dataminer-algorithms-importer-${project.version}</finalName>
					<appendAssemblyId>false</appendAssemblyId>
				</configuration>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	
</project>